<template>
  <!-- 辅料退货作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getAllReturnResult?apiId=377&orderType=5",
      },
    };
  },
  methods: {
    querySearch(queryString, cb) {
      var restaurants = this.restaurants;
      var results = queryString
        ? restaurants.filter(this.createFilter(queryString))
        : restaurants;
      cb(results);
    },
    createFilter(queryString) {
      return (restaurant) => {
        return (
          restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) ===
          0
        );
      };
    },
    
    onclick() {
     this.option.requestUrl = "/api/v1/tms/getReceiveResult?apiId=149&orderType=5&con=" + this.input;
    },
   }
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>